SegmentedRecordedService

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ocap.shared.dvr
Interface SegmentedRecordedService

All Superinterfaces:
  RecordedService, Service

    public interface SegmentedRecordedService

extends RecordedService

This interface a represents a recorded service that has been segmented. A recorded service may be segmented for various reasons, e.g. power cycle, loss and reacquisition of resources, change of elementary stream information. A segmented recording is not created until actual recording begins and will always contain at least one segment.

Method Summary
`Time[]` | `getSegmentMediaTimes()` Gets the start media times for the segments in the media time line created by the implementation for playing across all segments.
`RecordedService[]` | `getSegments()` Gets the segments the recording was split up into.

Methods inherited from interface org.ocap.shared.dvr.RecordedService
`delete, getFirstMediaTime, getMediaLocator, getMediaTime, getRecordedDuration, getRecordingRequest, getRecordingStartTime, setMediaTime`

Methods inherited from interface javax.tv.service.Service
`equals, getLocator, getName, getServiceType, hashCode, hasMultipleInstances, retrieveDetails`

Method Detail

### getSegments

    RecordedService[] getSegments()

  Gets the segments the recording was split up into.

  Returns:
    An array ordered by ascending time the segments were recorded.

### getSegmentMediaTimes

    Time[] getSegmentMediaTimes()

  Gets the start media times for the segments in the media time line created by the implementation for playing across all segments. This array is parallel to the array returned by the getSegments method. For instance, the media time in the second location [1] of the array returned by this method is the start media time for the RecordedService in the second location [1] in the array returned by the getSegments method.

  Returns:
    Array of start media times for segments. The length is the same as the array returned by the getSegments method.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD